Bug 143030 - infinite forks of plugin applications
infinite forks of plugin applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 15:46 EST by Paul Osmialowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-26 04:27:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2004-12-15 15:46:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Plugins cannot be started correctly. I can't see .pdf or .ps files
following links on web page. Plugin applications (xpdf for .pdf, gv
for .ps) are forking infinitely until there's no system resources to
make another process. It makes web surfing much much harder.
Strangely, other plugins (Macromedia Flash, Sun Java 1.5) are working
properly, only plugins managed by mozplugger cannot be used.


Version-Release number of selected component (if applicable):
mozilla-1.7.3-17 firefox-1.0-2.fc3 mozplugger-1.6.2-1

How reproducible:
Always

Steps to Reproduce:
1. Find any page with link to .pdf or .ps files
2. Click on that link
3.
    

Actual Results:  xpdf or gv will start in multiple instances until
there's no free system resources

Expected Results:  One instance of plugin application should embed
into browser window

Additional info:

It's very hard to stop this action by not killing X server. If someone
has got opened other windows with unsaved works, loss of data may occur.
Comment 1 Paul Osmialowski 2005-01-07 10:19:12 EST
I've found that it's enough to kill mozplugger-helper to stop infinite
forking. The most annoying reaction is during opening files handled by
OpenOffice applications. That makes mozilla really hard to browse the
Web :(
Comment 2 Paul Osmialowski 2005-02-26 04:20:11 EST
After recent upgrade of firefox (firefox-1.0.1-1.3.1) the bug still exists and
makes web surfing harder.
Comment 3 Paul Osmialowski 2005-02-26 04:27:57 EST
I've just installed mozplugger-1.7.1-2.i386.rpm from rawhide and it's working
properly both with firefox and mozilla browser. Upgrade should be proposed.

Note You need to log in before you can comment on or make changes to this bug.